Soul Sacrifice Required Firmware?

  • Topic Archived
You're browsing the GameFAQs Message Boards as a guest. Sign Up for free (or Log In if you already have an account) to be able to post messages, change how messages are displayed, and view media in posts.
  1. Boards
  2. PlayStation Vita
  3. Soul Sacrifice Required Firmware?

User Info: dj___roll

dj___roll
4 years ago#11
Quote:From: jmtstan | #005
update the firmware?


And lose Crisis Core, Kingdom Hearts BBS, games I already own on UMD and wont have to buy again, Homebrews, and the FFType-0 English Patch? How about no.

Anyways, wololo confirmed that SS requires 2.05 even for offline. Unfortunate, but expected.

@Thamauturge

So play them on the PSP?
Sent from my iPhone via PowerGuides 1.10

User Info: arclouks_x

arclouks_x
4 years ago#12
there's an English patch for type-0? is it good and accurate? I would buy a psp for that.
PSN:arclouksx/JustArc_ I want to eat Naoto.
Now playing:God of war 3,Persona 4 Arena & Golden

User Info: TinyTim123

TinyTim123
4 years ago#13
Rotuhiiri posted...
Are there any games that require a certain firmware to play on the Vita?

I know online always requires the latest mandatory firmware but I don't think any games require a certain firmware for offline play.


There are. Thus far, they have all been on the cart when the systems needs updating. I imagine it would be the same for Soul Sacrifice, though TC shall not be playing that, it would seem.
http://www.explosm.net/comics/657/

User Info: Thamauturge

Thamauturge
4 years ago#14
From: dj___roll | #011
So play them on the PSP?


No longer an option since right after I got my PS Vita my R Button broke off and a huge scratch suddenly appeared on my screen. Don't really want to spend the money buying repair parts either.

From: Werzaque | #009
Ah, what a hero! Proud to be meddling in illegal activities! Your peers must be so proud of you!

From: alphame4 | #010
So basically you just want to keep playing PSP isos on your vita?


Not seeing how its a problem to play my UMD games on the Vita. I payed for them. They don't even give me the option to buy Crisis Core and BBS again, that's literally the only thing keeping me from updating

From: arclouks_x | #012
there's an English patch for type-0? is it good and accurate? I would buy a psp for that.


Its not out yet, unfortunately. Sounds promising though.
Official Wiegraf Folles of the FFXV board
Playing: SH2 HD, Dark Souls, Uncharted 2, Crisis Core: FF7, Ratchet Collection, REmake ------- PSN: Thamauturge

User Info: Piesia

Piesia
4 years ago#15
Rotuhiiri posted...
Are there any games that require a certain firmware to play on the Vita?


sure, I couldn't play assassins creed until I updated my vita to 1.80-something, even offline. Psp games did this all the time (including the required firmware on umds).

I'm not sure of any other games requiring minimal firmware because I keep my vita firmware up to date for online.
Best regards,
Piesia
  1. Boards
  2. PlayStation Vita
  3. Soul Sacrifice Required Firmware?

Report Message

Terms of Use Violations:

Etiquette Issues:

Notes (optional; required for "Other"):
Add user to Ignore List after reporting

Topic Sticky

You are not allowed to request a sticky.

  • Topic Archived